Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.util.config
Class IntegerConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.IntegerConfigOption

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PortConfigOption

public class IntegerConfigOption
extends ConfigOption

See Also:
  Serialized Form

Constructor Summary
`protected` `IntegerConfigOption()` Should only be used by serializer/deserializer
`` `IntegerConfigOption(net.hyperic.util.config.OptionTransport transport)`
`` `IntegerConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.Integer defValue)`

Method Summary
`void` `checkOptionIsValid(java.lang.String value)`
`int` `getMaxValue()`
`int` `getMinValue()`
`net.hyperic.util.config.OptionTransport` `getTransport()`
`void` `setMaxValue(int len)`
`void` `setMinValue(int len)` Option properties

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntegerConfigOption

    protected IntegerConfigOption()

  Should only be used by serializer/deserializer

### IntegerConfigOption

    public IntegerConfigOption(java.lang.String optName,
                               java.lang.String optDesc,
                               java.lang.Integer defValue)

### IntegerConfigOption

    public IntegerConfigOption(net.hyperic.util.config.OptionTransport transport)
                        throws net.hyperic.util.config.EncodingException

Method Detail

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Specified by:
    `checkOptionIsValid` in class `ConfigOption`
  Throws:
    `InvalidOptionValueException`

### getTransport

    public net.hyperic.util.config.OptionTransport getTransport()

  Specified by:
    `getTransport` in class `ConfigOption`

### setMinValue

    public void setMinValue(int len)

  Option properties

### getMinValue

    public int getMinValue()

### setMaxValue

    public void setMaxValue(int len)

### getMaxValue

    public int getMaxValue()

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.